#ifndef __BZ_MSGPROC_H__
#define __BZ_MSGPROC_H__

#include "nateon.h"

void nateon_msg_table_build(NateConn* Nateon);
void nateon_parse_msg(NateConn* Nateon, char* packet);

void nateon_cmnd_pver(NateConn* Nateon, char* cmnd, char* msgs);
void nateon_cmnd_auth(NateConn* Nateon, char* cmnd, char* msgs);
void nateon_cmnd_reqs(NateConn* Nateon, char* cmnd, char* msgs);

void nateon_cmnd_ping(NateConn* Nateon, char* cmnd, char* msgs);
void nateon_cmnd_pong(NateConn* Nateon, char* cmnd, char* msgs);
void nateon_cmnd_lsin(NateConn* Nateon, char* cmnd, char* msgs);
void nateon_cmnd_glst(NateConn* Nateon, char* cmnd, char* msgs);
void nateon_cmnd_list(NateConn* Nateon, char* cmnd, char* msgs);
void nateon_cmnd_onst(NateConn* Nateon, char* cmnd, char* msgs);
void nateon_cmnd_infy(NateConn* Nateon, char* cmnd, char* msgs);

void nateon_send_ping(NateConn* Nateon);
void nateon_send_auth(NateConn* Nateon);
void nateon_send_reqs(NateConn* Nateon);
void nateon_send_glst(NateConn* Nateon);
void nateon_send_list(NateConn* Nateon);

#endif
